Index: NEMO/branches/2020/dev_r13327_KERNEL-06_2_techene_e3/src/OCE/ISF/isfcpl.F90
===================================================================
--- NEMO/branches/2020/dev_r13327_KERNEL-06_2_techene_e3/src/OCE/ISF/isfcpl.F90	(revision 13734)
+++ NEMO/branches/2020/dev_r13327_KERNEL-06_2_techene_e3/src/OCE/ISF/isfcpl.F90	(revision 13895)
@@ -10,19 +10,19 @@
 
    !!----------------------------------------------------------------------
-   !!   isfrst : read/write iceshelf variables in/from restart
+   !!   isfrst        : read/write iceshelf variables in/from restart
    !!----------------------------------------------------------------------
-   USE isf_oce                          ! ice shelf variable
+   USE oce            ! ocean dynamics and tracers
+#if defined key_qco
+   USE domqco  , ONLY : dom_qco_zgr      ! vertical scale factor interpolation
+#else
+   USE domvvl  , ONLY : dom_vvl_zgr      ! vertical scale factor interpolation
+#endif
+   USE domutl  , ONLY : dom_ngb          ! find the closest grid point from a given lon/lat position
+   USE isf_oce        ! ice shelf variable
    USE isfutils, ONLY : debug
-   USE lib_mpp , ONLY: mpp_sum, mpp_max ! mpp routine
-#if ! defined key_qco
-   USE domvvl  , ONLY: dom_vvl_zgr      ! vertical scale factor interpolation
-#else
-   USE domqco   , ONLY: dom_qco_zgr      ! vertical scale factor interpolation
-#endif
-   USE domutl  , ONLY: dom_ngb          ! find the closest grid point from a given lon/lat position
    !
-   USE oce            ! ocean dynamics and tracers
    USE in_out_manager ! I/O manager
    USE iom            ! I/O library
+   USE lib_mpp , ONLY : mpp_sum, mpp_max ! mpp routine
    !
    IMPLICIT NONE
@@ -34,13 +34,13 @@
 
    TYPE isfcons
-      INTEGER :: ii     ! i global
-      INTEGER :: jj     ! j global
-      INTEGER :: kk     ! k level
-      REAL(wp):: dvol   ! volume increment
-      REAL(wp):: dsal   ! salt increment
-      REAL(wp):: dtem   ! heat increment
-      REAL(wp):: lon    ! lon
-      REAL(wp):: lat    ! lat
-      INTEGER :: ngb    ! 0/1 (valid location or not (ie on halo or no neigbourg))
+      INTEGER ::   ii     ! i global
+      INTEGER ::   jj     ! j global
+      INTEGER ::   kk     ! k level
+      REAL(wp)::   dvol   ! volume increment
+      REAL(wp)::   dsal   ! salt increment
+      REAL(wp)::   dtem   ! heat increment
+      REAL(wp)::   lon    ! lon
+      REAL(wp)::   lat    ! lat
+      INTEGER ::   ngb    ! 0/1 (valid location or not (ie on halo or no neigbourg))
    END TYPE
    !
@@ -130,6 +130,7 @@
       !
    END SUBROUTINE isfcpl_init
-   ! 
-   SUBROUTINE isfcpl_rst_write(kt, Kmm)
+
+   
+   SUBROUTINE isfcpl_rst_write( kt, Kmm )
       !!---------------------------------------------------------------------
       !!                   ***  ROUTINE iscpl_rst_write  ***
@@ -164,4 +165,5 @@
    END SUBROUTINE isfcpl_rst_write
 
+   
    SUBROUTINE isfcpl_ssh(Kbb, Kmm, Kaa)
       !!---------------------------------------------------------------------- 
@@ -195,6 +197,6 @@
          zdssmask(:,:) = ssmask(:,:) - zssmask0(:,:)
          DO_2D( 0, 0, 0, 0 )
-            jip1=ji+1; jim1=ji-1;
-            jjp1=jj+1; jjm1=jj-1;
+            jip1=ji+1   ;   jim1=ji-1
+            jjp1=jj+1   ;   jjm1=jj-1
             !
             zsummsk = zssmask0(jip1,jj) + zssmask0(jim1,jj) + zssmask0(ji,jjp1) + zssmask0(ji,jjm1)
@@ -202,7 +204,7 @@
             IF (zdssmask(ji,jj) == 1._wp .AND. zsummsk /= 0._wp) THEN
                ssh(ji,jj,Kmm)=( zssh(jip1,jj)*zssmask0(jip1,jj)     &
-               &           + zssh(jim1,jj)*zssmask0(jim1,jj)     &
-               &           + zssh(ji,jjp1)*zssmask0(ji,jjp1)     &
-               &           + zssh(ji,jjm1)*zssmask0(ji,jjm1)) / zsummsk
+                  &           + zssh(jim1,jj)*zssmask0(jim1,jj)     &
+                  &           + zssh(ji,jjp1)*zssmask0(ji,jjp1)     &
+                  &           + zssh(ji,jjm1)*zssmask0(ji,jjm1)) / zsummsk
                zssmask_b(ji,jj) = 1._wp
             ENDIF
@@ -238,4 +240,5 @@
    END SUBROUTINE isfcpl_ssh
 
+   
    SUBROUTINE isfcpl_tra(Kmm)
       !!---------------------------------------------------------------------- 
@@ -386,4 +389,5 @@
       ! 
    END SUBROUTINE isfcpl_tra
+   
 
    SUBROUTINE isfcpl_vol(Kmm)
@@ -477,7 +481,8 @@
          risfcpl_ssh(:,:) = risfcpl_ssh(:,:) + risfcpl_vol(:,:,jk) * r1_e1e2t(:,:)
       END DO
-
+      !
    END SUBROUTINE isfcpl_vol
 
+   
    SUBROUTINE isfcpl_cons(Kmm)
       !!---------------------------------------------------------------------- 
